//AdultBorrower.java

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.2. 2006.05.23
 * Copyright 2003 by Michael Claudius
 * All rights reserved ?
*/

package library2007;
import java.io.*;

public class AdultBorrower extends Borrower implements Serializable {
	private String address = "";
	private int phone = 0;

	// constructors for creating objects
        AdultBorrower() { 
            super(); 
        }


        AdultBorrower(String cprNo, String name, String bType, int year) {
		//calls super constructor and initialise address & phone
		super(cprNo, name, bType, year);
        }

        AdultBorrower(String cprNo, String name, String bType, int year, 
                      String address, int phone) {
		//calls super constructor and initialise address & phone
		super(cprNo, name, bType, year);
		this.address = address;
		this.phone = phone;
	}

	public String getAddress ( )  {
		return address;  
        }

	public void setAddress (String address)  {
		this.address = address;
	}

	public int getPhone ( )  {
		return phone;
	}

	public void setPhone (int phone)  {
		this.phone = phone;
	}

        public String toString () {
		return (super.toString() + 
                        "\n" + "Address: " + address + 
                        "\n" + "Phone no.: " + phone);
	}

}// AdultBorrower


















