//Item.java

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2006.04.25
 * Copyright 2006 by Michael Claudius
 * All rights reserved
 */

package library2007;
import java.io.*;

//Ass. 1
public class Item implements Serializable {
    private String title = "Unknown", itemType, itemNo, state = "Registered";
    private int year = 9999;
    
    //* constructors for creating objects */
    Item(){
        //default constructor
    }
    /** Constructor initialise all data fields to the parameters */
    Item(String itemNo, String title, String itemType, int year)  {
        
        this.itemNo = itemNo;
        this.title = title;
        this.year = year;
        this.itemType = itemType;
    }
    /** Constructor initialise all data fields to the parameters */
    Item(String itemNo, String title, String itemType, int year, String state)  {
        this.itemNo = itemNo;
        this.title = title;
        this.year = year;
        this.itemType = itemType;
        this.state = state;
    }
    
    public String itemData() {
        return ("\n" + "ItemNo: " + itemNo +
                "\n" + "Title: " + title +
                "\n" + "ItemType: " + itemType +
                "\n" + "Year of Registration: " + year +
                "\n" + "State: " + state +
                "\n") ;
    }
    
    public String toString() {
        return ("\n" + "ItemNo: " + itemNo +
                "\n" + "Title: " + title +
                "\n" + "ItemType: " + itemType +
                "\n" + "Year of Registration: " + year +
                "\n" + "State: " + state +
                "\n") ;
    }
    
    
    public String getItemNo() {
        return itemNo;
    }
    
    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }
    
    public String getTitle( )  {
        return title;  }
    
    public void setTitle(String atitle)  {
        title = atitle;
    }
    
    public String getItemType() {
        return itemType;
    }
    
    public void setItemType(String itemType) {
        this.itemType = itemType;
    }
    
    public int getYear() {
        return year;
    }
    
    public void setYear(int year) {
        this.year = year;
    }
    
    public String getState() {
        return state;
    }
    
    public void setState(String state) {
        this.state = state;
    }
    
    //Ass. 2
    public static void main(String[] args) {
        // TODO code application logic here
        
        Item b1 = new Item("ISBN: 561-777", "The Boss", "Book", 2003, "Available");
        b1.setTitle("Memory of MC");
        Item b2 = new Item("ISBN: 561-777", "The Boss", "Book", 2003);
        
        System.out.println(b1.itemData());
        System.out.println(b2.itemData());
        System.out.println(b1.toString());
        System.out.println(b1); //Notice automatical use of toString
        
    }
    
}// Item

