//TMC_BorrowerSpecialisation.java

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2005.08.23
 * Copyright 2005 by Michael Claudius
 * All rights reserved ?
*/

package library2007;

public class TMC_BorrowerSpecialisation {
    
    /** Creates a new instance of TMC_BorrowerSpecialisation */
    public TMC_BorrowerSpecialisation() {
    }
    
  
    public static void main(String[] args) {
        // TODO code application logic here

        Borrower b1 = new Borrower("150561-7777", "TheBoss", "Adult", 2005);
        System.out.println(b1.toString());
        
        Borrower ab1 = new AdultBorrower("150581-7771", "Vaida Mitzu", "Adult", 2005, "Java Gate 14", 40983606);
        Borrower ab2 = new AdultBorrower("150785-7772", "Han Wei", "Adult", 2005, "Java Gate 14", 40983607);
        Borrower ab3 = new AdultBorrower("150681-7773", "Yu Miao", "Adult", 2005, "Java Gate 14", 40983507);
        
        System.out.println("Hello  " + ( (AdultBorrower) ab1).getPhone());
        
        System.out.println(ab1.toString());          
        System.out.println(ab2.toString()); 
        System.out.println(ab3.toString()); 
 
        b1 = ab1;
        System.out.println(b1.toString());
        
        Borrower cb1 = new ChildBorrower("150505-7777", "Patricia Mitzu", "Child", 2005, "Female", ab1);
        Borrower cb2 = new ChildBorrower("150606-7777", "Han Jan", "Child", 2005, "Male", ab2);

        System.out.println(cb1.toString());          
        System.out.println(cb2.toString()); 

        Borrower[] bTable = new Borrower[5];
        bTable[0] = new AdultBorrower("15081-7777", "Tanja Pedersen", "Adult", 2005, "U. Gate 1", 40955606);
	bTable[1] = ab1;
	bTable[2] = cb1;
        bTable[3] = new AdultBorrower("15081-7777", "Han Selina", "Adult", 2005, "U. Gate 1", 24556789);
        bTable[4] = cb2;

        for (int index = 0; index < bTable.length; index ++)
                System.out.println(bTable[index].toString());

        // Ass 7
        BorrowerCollection borrowers = new BorrowerCollection();
        borrowers.addBorrower(b1);
        borrowers.addBorrower(ab1);
        borrowers.addBorrower(ab2);
        borrowers.addBorrower(cb1);
        borrowers.addBorrower(cb2);
        System.out.println(borrowers.toString());

    }
    
}
