/** ItemCatalogGUI .java
 *
 * Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2006.04.28
 * Copyright 2006 by Michael Claudius
 * All rights reserved ?
*/

package library2007;

import javax.swing.JOptionPane;
public class ItemCatalogGUI extends javax.swing.JFrame {
    
    /** Creates new form ItemCatalogGUI */
     /** Creates new form ItemCatalogGUI */
    public ItemCatalogGUI() {
        initComponents();
        itemCol  = new ItemCatalog();
        int num = itemCol.getNoOfItems();
        String numStr = new Integer(num).toString();
        numberTextField.setText(numStr);     
    }
    
     
    Item item;
    ItemCatalog itemCol ;
    
    private void fileHandling() {
       
        
}
   //Ass. 6 Create a Item and add to collection  
    private void createItem() {
        
        dataArea.setText("");
                   
        String itemNo = JOptionPane.showInputDialog("State itemNo of Item: ");
        String title = JOptionPane.showInputDialog("State title of Item: ");       
                      
        String yearStr = JOptionPane.showInputDialog("State year of registration: ");
        int year = Integer.parseInt(yearStr);
                
        //String itemType = JOptionPane.showInputDialog("Type of Item:\n"+"Adult", "Normal");
        Object[] possibleValues = { "Book", "CD", "DVD"};
        String  itemType = (String) JOptionPane.showInputDialog(null, "Choose Item Type", "Input",
                                                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[0]);     
        //Alternatively
        //itemCol .createItem(itemNo, title, itemType,  year);
        
        item = new Item(itemNo, title, itemType, year);
        itemCol .addItem(item);
        
        showNumbers();       
    }
//Ass. 6 Show last handled Item
    private void showItem() {
        dataArea.append(item.itemData());
        dataArea.append(printEmptyLines(2));
    }
    
    private void showAllItems() {
        allDataArea.setText(itemCol .allItemsData());  
        showNumbers();
        
    }

//Ass. 7 & 9 Search for a Item and present search result
   private void findItem() {

        dataArea.setText("");
        
        Object[] possibleValues = { "Index", "itemNo"};
        String  searchStr = (String) JOptionPane.showInputDialog(null, "Choose Search Type", "Input",
                                                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[0]);     
        item = null;
        if (searchStr.equals("itemNo") ){
            String itemNo = JOptionPane.showInputDialog("State itemNo of Item: ");          
            item = itemCol .getItem(itemNo);
        }
        else
        if ( searchStr.equals("Index") ){
            String indexStr = JOptionPane.showInputDialog("State index of Item: ");    
            int index = Integer.parseInt(indexStr);
            item = itemCol .getItem(index);
        }
        if ( item != null )
            showItem();
        else
            dataArea.setText("No Item found");    
    }

//Ass. 8 & 10 Remove for a Item and present remove result   
   private void removeItem() {

        dataArea.setText("");
        
        Object[] possibleValues = { "Index", "itemNo"};
        String  searchStr = (String) JOptionPane.showInputDialog(null, "Choose Search Type", "Input",
                                                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[0]);     
        item = null;
        if (searchStr.equals("itemNo") ){
            String itemNo = JOptionPane.showInputDialog("State itemNo of Item: ");          
            item = itemCol .removeItem(itemNo);
        }
        else
        if ( searchStr.equals("Index") ){
            String indexStr = JOptionPane.showInputDialog("State index of Item: ");    
            int index = Integer.parseInt(indexStr);
            item = itemCol .removeItem(index);
        }
        
        if ( item != null )
            showItem();
        else
            dataArea.setText("No Item found");    
        
        showNumbers();     
    }
   
    private String printEmptyLines(int noLines) {
        String s = "";
        for (int i = 0; i < noLines; i++)
            s = s +  "\n";
            return s;
     }
    
   private void showNumbers() {
       int num = itemCol.getNoOfItems();
       numberTextField.setText(""+num);     
   } 
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jPanel1 = new javax.swing.JPanel();
        startButton = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        dataArea = new javax.swing.JTextArea();
        showButton = new javax.swing.JButton();
        dataLabel = new javax.swing.JLabel();
        fileButton = new javax.swing.JButton();
        dataAllLabel = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        allDataArea = new javax.swing.JTextArea();
        noLabel = new javax.swing.JLabel();
        numberTextField = new javax.swing.JTextField();
        searchButton = new javax.swing.JButton();
        deleteButton = new javax.swing.JButton();
        showAllButton = new javax.swing.JButton();

        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        jPanel1.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jPanel1.setPreferredSize(new java.awt.Dimension(800, 600));
        startButton.setText("Create Item");
        startButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                startButtonActionPerformed(evt);
            }
        });

        jPanel1.add(startButton, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 70, 180, -1));

        jScrollPane1.setViewportView(dataArea);

        jPanel1.add(jScrollPane1, new org.netbeans.lib.awtextra.AbsoluteConstraints(410, 70, 330, 140));

        showButton.setText("Show Item");
        showButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                showButtonActionPerformed(evt);
            }
        });

        jPanel1.add(showButton, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 120, 180, -1));

        dataLabel.setFont(new java.awt.Font("MS Sans Serif", 0, 14));
        dataLabel.setText("Item Data");
        jPanel1.add(dataLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(410, 30, 210, 30));

        fileButton.setText("File Handling");
        fileButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fileButtonActionPerformed(evt);
            }
        });

        jPanel1.add(fileButton, new org.netbeans.lib.awtextra.AbsoluteConstraints(60, 390, 160, -1));

        dataAllLabel.setFont(new java.awt.Font("MS Sans Serif", 0, 14));
        dataAllLabel.setText("All Item Data");
        jPanel1.add(dataAllLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(410, 260, 120, -1));

        jScrollPane2.setViewportView(allDataArea);

        jPanel1.add(jScrollPane2, new org.netbeans.lib.awtextra.AbsoluteConstraints(410, 290, 320, 220));

        noLabel.setFont(new java.awt.Font("MS Sans Serif", 1, 12));
        noLabel.setText("Total number");
        jPanel1.add(noLabel, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 340, 90, 20));

        jPanel1.add(numberTextField, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 380, 70, -1));

        searchButton.setText("Search Item");
        searchButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                searchButtonActionPerformed(evt);
            }
        });

        jPanel1.add(searchButton, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 170, 180, -1));

        deleteButton.setText("Delete Item");
        deleteButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                deleteButtonActionPerformed(evt);
            }
        });

        jPanel1.add(deleteButton, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 230, 180, -1));

        showAllButton.setText("List All Items");
        showAllButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                showAllButtonActionPerformed(evt);
            }
        });

        jPanel1.add(showAllButton, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 290, 180, -1));

        getContentPane().add(jPanel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, -1));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void showAllButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_showAllButtonActionPerformed
// TODO add your handling code here:
        showAllItems();
    }//GEN-LAST:event_showAllButtonActionPerformed

    private void deleteButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_deleteButtonActionPerformed
// TODO add your handling code here:
        removeItem();
    }//GEN-LAST:event_deleteButtonActionPerformed

    private void searchButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_searchButtonActionPerformed
// TODO add your handling code here:
        findItem();
    }//GEN-LAST:event_searchButtonActionPerformed

    private void fileButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_fileButtonActionPerformed
// TODO add your handling code here:
        fileHandling();
    }//GEN-LAST:event_fileButtonActionPerformed

    private void showButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_showButtonActionPerformed
// TODO add your handling code here:
        showItem();
    }//GEN-LAST:event_showButtonActionPerformed

    private void startButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_startButtonActionPerformed
// TODO add your handling code here:
        createItem();
    }//GEN-LAST:event_startButtonActionPerformed
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ItemCatalogGUI().setVisible(true);
            }
        });
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextArea allDataArea;
    private javax.swing.JLabel dataAllLabel;
    private javax.swing.JTextArea dataArea;
    private javax.swing.JLabel dataLabel;
    private javax.swing.JButton deleteButton;
    private javax.swing.JButton fileButton;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JLabel noLabel;
    private javax.swing.JTextField numberTextField;
    private javax.swing.JButton searchButton;
    private javax.swing.JButton showAllButton;
    private javax.swing.JButton showButton;
    private javax.swing.JButton startButton;
    // End of variables declaration//GEN-END:variables
    
}
